tigase.jaxmpp.core.client.xmpp.modules

## Class BookmarksModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<IQ>
    - - tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule
      - - tigase.jaxmpp.core.client.xmpp.modules.BookmarksModule

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule

      public class BookmarksModule
      extends AbstractIQModule

  Implementation of XEP-0049: Private XML Storage.
  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BookmarksModule.BookmarksAsyncCallback` Bookmarks callback.

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BookmarksModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `protected void` | `processGet(IQ element)` Method for processing stanza `<iq type='get'>`.
    `protected void` | `processSet(IQ element)` Method for processing stanza `<iq type='set'>`.
    `void` | `publishBookmarks(List<? extends Element> bookmarks, AsyncCallback callback)` Send list of bookmarks to private storage.
    `void` | `retrieveBookmarks(AsyncCallback callback)` Retrieve bookmarks from private storage.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule

      `process`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule

      `addExtension, getExtensionChain, getFeaturesWithExtensions, removeExtension, write, write, write`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BookmarksModule

          public BookmarksModule()

  - ### Method Detail

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### processGet

          protected void processGet(IQ element)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='get'>`.
      Specified by:
        `processGet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### processSet

          protected void processSet(IQ element)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='set'>`.
      Specified by:
        `processSet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### publishBookmarks

          public void publishBookmarks(List<? extends Element> bookmarks,
                                       AsyncCallback callback)
                                throws JaxmppException

      Send list of bookmarks to private storage.
      Parameters:
        `bookmarks` - collections of elements with bookmarks.
        `callback` - callback
      Throws:
        `JaxmppException`

    - #### retrieveBookmarks

          public void retrieveBookmarks(AsyncCallback callback)
                                 throws JaxmppException

      Retrieve bookmarks from private storage.
      Parameters:
        `callback` - callback to handle response.
      Throws:
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.